%define upstream_name	 Class-C3
%define upstream_version 0.31

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A pragma to use the C3 method resolution order algortihm
License:    Artistic/GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Algorithm::C3) >= 0.70.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.470.0
BuildArch:  noarch
Requires:   perl(Algorithm::C3)
%description
This is pragma to change Perl 5's standard method resolution order
from depth-first left-to-right (a.k.a - pre-order) to the more
sophisticated C3 method resolution order.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man*/*
%{perl_vendorlib}/Class

%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.310.0-2.mga6
+ Revision: 1023876
- Rebuild for perl 5.22.2

* Thu Apr 28 2016 shlomif <shlomif> 0.310.0-1.mga6
+ Revision: 1007370
- update to 0.31

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Sun Nov 15 2015 tv <tv> 0.300.0-1.mga6
+ Revision: 903336
- new release

* Sat Jul 04 2015 sander85 <sander85> 0.280.0-1.mga6
+ Revision: 850010
- update to 0.28

* Wed Oct 15 2014 umeabot <umeabot> 0.270.0-3.mga5
+ Revision: 744742
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.270.0-2.mga5
+ Revision: 683888
- Mageia 5 Mass Rebuild

* Sat Aug 16 2014 sander85 <sander85> 0.270.0-1.mga5
+ Revision: 664040
- update to 0.27

* Thu Mar 13 2014 jquelin <jquelin> 0.260.0-1.mga5
+ Revision: 602837
- update to 0.26

* Sat Oct 19 2013 umeabot <umeabot> 0.250.0-2.mga4
+ Revision: 529484
- Mageia 4 Mass Rebuild

* Tue Jul 09 2013 jquelin <jquelin> 0.250.0-1.mga4
+ Revision: 451941
- update to 0.25

* Sun Jan 13 2013 umeabot <umeabot> 0.240.0-2.mga3
+ Revision: 364280
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 0.240.0-1.mga3
+ Revision: 254659
- update to 0.24

* Sun Jan 09 2011 jquelin <jquelin> 0.230.0-1.mga1
+ Revision: 2064
- imported package perl-Class-C3

